# Class QueryBoundWitnessWrapper<T>

#### Type Parameters

- #### T extends Query = Query

#### Hierarchy

- BoundWitnessWrapper<QueryBoundWitness>
  - QueryBoundWitnessWrapper

- Defined in modules/packages/module/packages/abstract/dist/types/Query/QueryBoundWitnessWrapper.d.ts:5

#####
Index

### Constructors

constructor

### Properties

_payloads
_query
_resultSet
isQueryBoundWitnessWrapper
obj
allowWasm
wasmSupported

### Accessors

addresses
body
boundwitness
errors
hash
hashFields
missingPayloads
payload
payloadHashes
payloadSchemas
payloads
payloadsArray
previousHashes
query
resultSet
schema
schemaName
stringKeyObj
stringified
valid

### Methods

dig
hashAsync
payloadsBySchema
prev
toResult
validate
hash
hashAsync
hashFields
load
parse
parseQuery
stringify
tryParse
unwrap

## Constructors

### constructor

- new QueryBoundWitnessWrapper<T>(boundwitness, payloads?): QueryBoundWitnessWrapper<T>

- #### Type Parameters

  - #### T extends SchemaFields & PayloadFields & QueryFields & {
    schema: string;
    } = SchemaFields & PayloadFields & QueryFields & {
    schema: string;
    }

  #### Parameters

  - ##### boundwitness: SchemaFields & PayloadFields & BoundWitnessFields & {
    query: string;
    resultSet?: string;
    schema: "network.xyo.boundwitness";
    }

  - ##### `Optional` payloads: (null | SchemaFields & PayloadFields & {
    schema: string;
    } | PayloadWrapper<SchemaFields & PayloadFields & {
    schema: string;
    }>)[]

  #### Returns QueryBoundWitnessWrapper<T>

  Inherited from BoundWitnessWrapper<QueryBoundWitness>.constructor

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:10

## Properties

### `Protected` _payloads

_payloads: undefined | Record<string, PayloadWrapper<SchemaFields & PayloadFields & {
schema: string;
}>>

Inherited from BoundWitnessWrapper._payloads

- Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:8

### `Private` _query

_query: any

- Defined in modules/packages/module/packages/abstract/dist/types/Query/QueryBoundWitnessWrapper.d.ts:6

### `Private` _resultSet

_resultSet: any

- Defined in modules/packages/module/packages/abstract/dist/types/Query/QueryBoundWitnessWrapper.d.ts:7

### `Private` isQueryBoundWitnessWrapper

isQueryBoundWitnessWrapper: any

- Defined in modules/packages/module/packages/abstract/dist/types/Query/QueryBoundWitnessWrapper.d.ts:8

### `Readonly` obj

obj: SchemaFields & PayloadFields & BoundWitnessFields & {
query: string;
resultSet?: string;
schema: "network.xyo.boundwitness";
}

Inherited from BoundWitnessWrapper.obj

- Defined in protocol/packages/core/dist/types/lib/ObjectWrapper.d.ts:4

### `Static` allowWasm

allowWasm: boolean

Inherited from BoundWitnessWrapper.allowWasm

- Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:3

### `Static` wasmSupported

wasmSupported: boolean

Inherited from BoundWitnessWrapper.wasmSupported

- Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:4

## Accessors

### addresses

- get addresses(): string[]

- #### Returns string[]

  Inherited from BoundWitnessWrapper.addresses

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:11

### body

- get body(): TPayload

- #### Returns TPayload

  Inherited from BoundWitnessWrapper.body

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:8

### boundwitness

- get boundwitness(): TBoundWitness

- #### Returns TBoundWitness

  Inherited from BoundWitnessWrapper.boundwitness

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:12

### errors

- get errors(): Error[]

- #### Returns Error[]

  Overrides BoundWitnessWrapper.errors

  - Defined in modules/packages/module/packages/abstract/dist/types/Query/QueryBoundWitnessWrapper.d.ts:9

### hash

- get hash(): string

- #### Returns string

  Inherited from BoundWitnessWrapper.hash

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:5

### hashFields

- get hashFields(): T

- #### Returns T

  Inherited from BoundWitnessWrapper.hashFields

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:6

### missingPayloads

- get missingPayloads(): string[]

- #### Returns string[]

  Inherited from BoundWitnessWrapper.missingPayloads

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:13

### payload

- get payload(): TPayload

- #### Returns TPayload

  Inherited from BoundWitnessWrapper.payload

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:10

### payloadHashes

- get payloadHashes(): string[]

- #### Returns string[]

  Inherited from BoundWitnessWrapper.payloadHashes

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:14

### payloadSchemas

- get payloadSchemas(): string[]

- #### Returns string[]

  Inherited from BoundWitnessWrapper.payloadSchemas

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:15

### payloads

- get payloads(): Record<string, PayloadWrapper<TPayload>>

- #### Returns Record<string, PayloadWrapper<TPayload>>

  Inherited from BoundWitnessWrapper.payloads

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:16
- set payloads(payloads): void

- #### Parameters

  - ##### payloads: undefined | Record<string, PayloadWrapper<TPayload>> | (TPayload | PayloadWrapper<TPayload>)[]

  #### Returns void

  Inherited from BoundWitnessWrapper.payloads

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:17

### payloadsArray

- get payloadsArray(): PayloadWrapper<TPayload>[]

- #### Returns PayloadWrapper<TPayload>[]

  Inherited from BoundWitnessWrapper.payloadsArray

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:18

### previousHashes

- get previousHashes(): (null | string)[]

- #### Returns (null | string)[]

  Inherited from BoundWitnessWrapper.previousHashes

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:19

### query

- get query(): PayloadWrapper<T>

- #### Returns PayloadWrapper<T>

  - Defined in modules/packages/module/packages/abstract/dist/types/Query/QueryBoundWitnessWrapper.d.ts:10

### resultSet

- get resultSet(): PayloadWrapper<SchemaFields & PayloadFields & PayloadSet & {
  schema: "network.xyo.payload.set";
  }>

- #### Returns PayloadWrapper<SchemaFields & PayloadFields & PayloadSet & {
  schema: "network.xyo.payload.set";
  }>

  - Defined in modules/packages/module/packages/abstract/dist/types/Query/QueryBoundWitnessWrapper.d.ts:11

### schema

- get schema(): string

- #### Returns string

  Inherited from BoundWitnessWrapper.schema

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:11

### schemaName

- get schemaName(): string

- #### Returns string

  Inherited from BoundWitnessWrapper.schemaName

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:12

### `Protected` stringKeyObj

- get stringKeyObj(): StringKeyObject

- #### Returns StringKeyObject

  Inherited from BoundWitnessWrapper.stringKeyObj

  - Defined in protocol/packages/core/dist/types/lib/ObjectWrapper.d.ts:6

### stringified

- get stringified(): string

- #### Returns string

  Inherited from BoundWitnessWrapper.stringified

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:7

### valid

- get valid(): boolean

- #### Returns boolean

  Inherited from BoundWitnessWrapper.valid

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:13

## Methods

### dig

- dig(depth?): BoundWitnessWrapper<SchemaFields & PayloadFields & BoundWitnessFields & {
  query: string;
  resultSet?: string;
  schema: "network.xyo.boundwitness";
  }, SchemaFields & PayloadFields & {
  schema: string;
  }>

- #### Parameters

  - ##### `Optional` depth: number

  #### Returns BoundWitnessWrapper<SchemaFields & PayloadFields & BoundWitnessFields & {
  query: string;
  resultSet?: string;
  schema: "network.xyo.boundwitness";
  }, SchemaFields & PayloadFields & {
  schema: string;
  }>

  Inherited from BoundWitnessWrapper.dig

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:26

### hashAsync

- hashAsync(): Promise<string>

- #### Returns Promise<string>

  Inherited from BoundWitnessWrapper.hashAsync

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:12

### payloadsBySchema

- payloadsBySchema(schema): PayloadWrapper<SchemaFields & PayloadFields & {
  schema: string;
  }>[]

- #### Parameters

  - ##### schema: string

  #### Returns PayloadWrapper<SchemaFields & PayloadFields & {
  schema: string;
  }>[]

  Inherited from BoundWitnessWrapper.payloadsBySchema

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:27

### prev

- prev(address): null | string

- #### Parameters

  - ##### address: string

  #### Returns null | string

  Inherited from BoundWitnessWrapper.prev

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:28

### toResult

- toResult(): (SchemaFields & PayloadFields & BoundWitnessFields & {
  query: string;
  resultSet?: string;
  schema: "network.xyo.boundwitness";
  } | (SchemaFields & PayloadFields & {
  schema: string;
  })[])[]

- #### Returns (SchemaFields & PayloadFields & BoundWitnessFields & {
  query: string;
  resultSet?: string;
  schema: "network.xyo.boundwitness";
  } | (SchemaFields & PayloadFields & {
  schema: string;
  })[])[]

  Inherited from BoundWitnessWrapper.toResult

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:29

### validate

- validate(): Error[]

- #### Returns Error[]

  Inherited from BoundWitnessWrapper.validate

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:30

### `Static` hash

- hash<T>(obj): string

- #### Type Parameters

  - #### T extends AnyObject

  #### Parameters

  - ##### obj: T

  #### Returns string

  Inherited from BoundWitnessWrapper.hash

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:8

### `Static` hashAsync

- hashAsync<T>(obj): Promise<string>

- #### Type Parameters

  - #### T extends AnyObject

  #### Parameters

  - ##### obj: T

  #### Returns Promise<string>

  Inherited from BoundWitnessWrapper.hashAsync

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:9

### `Static` hashFields

- hashFields<T>(obj): T

- #### Type Parameters

  - #### T extends AnyObject

  #### Parameters

  - ##### obj: T

  #### Returns T

  Inherited from BoundWitnessWrapper.hashFields

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:10

### `Static` load

- load(address): Promise<null | BoundWitnessWrapper<SchemaFields & PayloadFields & BoundWitnessFields & {
  schema: "network.xyo.boundwitness";
  }, SchemaFields & PayloadFields & {
  schema: string;
  }>>

- #### Parameters

  - ##### address: DataLike

  #### Returns Promise<null | BoundWitnessWrapper<SchemaFields & PayloadFields & BoundWitnessFields & {
  schema: "network.xyo.boundwitness";
  }, SchemaFields & PayloadFields & {
  schema: string;
  }>>

  Inherited from BoundWitnessWrapper.load

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:20

### `Static` parse

- parse<T, P>(obj, payloads?): BoundWitnessWrapper<T, P>

- #### Type Parameters

  - #### T extends SchemaFields & PayloadFields & BoundWitnessFields & {
    schema: "network.xyo.boundwitness";
    }

  - #### P extends SchemaFields & PayloadFields & {
    schema: string;
    }

  #### Parameters

  - ##### obj: unknown

  - ##### `Optional` payloads: P[]

  #### Returns BoundWitnessWrapper<T, P>

  Inherited from BoundWitnessWrapper.parse

  - Defined in protocol/packages/boundwitness/packages/wrapper/dist/types/Wrapper.d.ts:25

### `Static` parseQuery

- parseQuery<T>(obj, payloads?): QueryBoundWitnessWrapper<T>

- #### Type Parameters

  - #### T extends SchemaFields & PayloadFields & QueryFields & {
    schema: string;
    } = SchemaFields & PayloadFields & QueryFields & {
    schema: string;
    }

  #### Parameters

  - ##### obj: unknown

  - ##### `Optional` payloads: (SchemaFields & PayloadFields & {
    schema: string;
    })[]

  #### Returns QueryBoundWitnessWrapper<T>

  - Defined in modules/packages/module/packages/abstract/dist/types/Query/QueryBoundWitnessWrapper.d.ts:14

### `Static` stringify

- stringify<T>(obj): string

- #### Type Parameters

  - #### T extends AnyObject

  #### Parameters

  - ##### obj: T

  #### Returns string

  Inherited from BoundWitnessWrapper.stringify

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:11

### `Static` tryParse

- tryParse(obj): undefined | PayloadWrapperBase<SchemaFields & PayloadFields & {
  schema: string;
  }>

- #### Parameters

  - ##### obj: unknown

  #### Returns undefined | PayloadWrapperBase<SchemaFields & PayloadFields & {
  schema: string;
  }>

  Inherited from BoundWitnessWrapper.tryParse

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:16

### `Static` unwrap

- unwrap<TPayload>(payload?): undefined | TPayload

- #### Type Parameters

  - #### TPayload extends SchemaFields & PayloadFields & {
    schema: string;
    } = SchemaFields & PayloadFields & {
    schema: string;
    }

  #### Parameters

  - ##### `Optional` payload: SchemaFields & PayloadFields & {
    schema: string;
    }

  #### Returns undefined | TPayload

  Inherited from BoundWitnessWrapper.unwrap

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:19
- unwrap<TPayload>(payload?): (undefined | TPayload)[]

- #### Type Parameters

  - #### TPayload extends SchemaFields & PayloadFields & {
    schema: string;
    } = SchemaFields & PayloadFields & {
    schema: string;
    }

  #### Parameters

  - ##### `Optional` payload: (SchemaFields & PayloadFields & {
    schema: string;
    })[]

  #### Returns (undefined | TPayload)[]

  Inherited from BoundWitnessWrapper.unwrap

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:20

Generated using TypeDoc